package hu.prioritasdemo.ejb;

import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.jms.JMSException;
import org.apache.log4j.Logger;

/**
 *
 * @author Kerekes András
 */
@Stateless
public class SMSGeneralasSessionBean implements SMSGeneralasSessionBeanLocal {

    @EJB
    private SMSToQueueSessionBeanLocal smsToQueueBean;
    
    private static Logger log = Logger.getLogger(SMSGeneralasSessionBean.class);    
    
    @Override
    public void smsGeneralas(int db, int prioritas) {
        
        for(int i = 0; i < db; i++) {
            try {
                smsToQueueBean.sendJMSMessageToSMSQueue(String.valueOf(i+1) + ". " + (prioritas < 4 ? "Alacsony " : "Magas ") + "prioritású", prioritas);
            } catch (JMSException ex) {
                log.error(ex.toString());
            }
        }
        
    }
}
