package hu.prioritasdemo.ejb;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;
import org.apache.log4j.Logger;

/**
 *
 * @author Kerekes András
 */
@MessageDriven(mappedName = "jms/SMSQueue", activationConfig = {
    @ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge"),
    @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue")
})
public class SMSQueueMessageBean implements MessageListener {

    private static Logger log = Logger.getLogger(SMSQueueMessageBean.class);

    public SMSQueueMessageBean() {
    }

    @Override
    public void onMessage(Message message) {
        try {
            TextMessage tm = (TextMessage) message;
            log.info(tm.getText() + ", \tJMS Prioritás: " + message.getJMSPriority() );
            
            // Tényleges küldés a szolgáltatóhoz, ami kb 0,5 másodperc / SMS
            // ... 
            Thread.sleep(500);
            
        } catch (Exception e) {
            log.fatal(e);
        }
    }
}
