package hu.prioritasdemo.web;

import hu.prioritasdemo.ejb.SMSGeneralasSessionBeanLocal;
import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;
import javax.ejb.EJB;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import org.apache.log4j.Logger;

/**
 *
 * @author Kerekes András
 */
@ManagedBean
@ViewScoped
public class GeneralasManagedBean  implements Serializable {

    @EJB
    private SMSGeneralasSessionBeanLocal smsGeneralasBean;
            
    private Integer nemFontosDb = 50;
    private Integer fontosDb = 1;
    
    private static final long serialVersionUID = 1L;  
    public static final String TIMESTAMP_FORMAT = "yyyy.MM.dd HH:mm:ss";
    private static Logger log = Logger.getLogger(GeneralasManagedBean.class);    
    

    public GeneralasManagedBean() {
    }
    
    public void nemFontosSMSGeneralas() {
        smsGeneralasBean.smsGeneralas(nemFontosDb, 1);
        String msg = "Nem fontos üzenetek generálása véget ért: " + new SimpleDateFormat(TIMESTAMP_FORMAT).format(new Date());                
        sendFacesMessage(msg,  "memFontosMsg", FacesMessage.SEVERITY_INFO);
        log.info(msg);
    }
    
    
    public void fontosSMSGeneralas() {
        smsGeneralasBean.smsGeneralas(fontosDb, 9);
        String msg = "Fontos üzenetek generálása véget ért: " + new SimpleDateFormat(TIMESTAMP_FORMAT).format(new Date());
        sendFacesMessage(msg,  "fontosMsg", FacesMessage.SEVERITY_INFO);
        log.info(msg);
    }
    
    private FacesMessage sendFacesMessage(String summary, String clientId, FacesMessage.Severity severity) {
        FacesMessage fm = new FacesMessage(summary);
        fm.setSeverity(severity);
        FacesContext.getCurrentInstance().addMessage(clientId, fm);
        return fm;
    }
    
    

    public Integer getNemFontosDb() {
        return nemFontosDb;
    }

    public void setNemFontosDb(Integer nemFontosDb) {
        this.nemFontosDb = nemFontosDb;
    }
    

    public Integer getFontosDb() {
        return fontosDb;
    }

    public void setFontosDb(Integer fontosDb) {
        this.fontosDb = fontosDb;
    }
    
    
}
